# Installing or Updating the Development Environment Image 

A large part of the software for the development environments is made available in Docker images.  To access these images you need to log in to our Docker Registry using one of the following methods, and then download/pull the relevant Docker image.

## Logging In to the LRS Docker Registry

To log in to the LRS Docker Registry:

- If you have received a Deploy Key from us, use this to log in according to the instructions we specified at that point.

- If you have been given direct access to the `devenv_docker_images` project at `gitlab.liu.se`:

  - Find the Deploy Key at [devenv_docker_images](https://gitlab.liu.se/lrs/devenv_docker_images/-/blob/master/README.md), or

  - Log in using your username and password from `gitlab.liu.se`:  

    ```bash
    docker login gitlab.liu.se:5000
    ```

    We are not sure if this option this works for external users. Please test if you are an external user and report back!

If you cannot use either of these methods, please contact us to be given access to the software.

## Pulling the Development Docker Image

Assuming you have followed the [setup instructions](../README.md) step by step, you already have access to the required scripts from the `lrs_devenv_common` repo as well as a number of other prerequisites for downloading the Development Environment image.

To download a new image *or* update your existing image to the latest version, execute the following script on your Development System:

```bash
wpull
```

##### Contact information

To ask questions about the development environment, contact `lrs-devenv@groups.liu.se`.